	//////////////////////////////////////////////////////////////////
	//
	//  Function to support testing browser and PC compatibility
	//
	//////////////////////////////////////////////////////////////////


	function basicTestPage() 
	{
	    //Flash version to check
        var fmajorReq = 10;
        var fminorReq = 3;
        
        var fverStr = fmajorReq
        if (fminorReq > 0)
        {
            fverStr = fverStr + "." + fminorReq
        }

	    

		// Create the detection object

		var is         = new BrowserInfo();

		//<![CDATA[
		var requiredAcrobatVersion = 5;

		var acrobatVersion = getAcrobatVersion();

		//]]>

		var WM_acceptsCookies = false;
		var popUpsBlocked;

		popupBlockerChecker();
		WM_acceptsCookies = testCookies("first party");
		WM_accepts_session_Cookies = testCookies("session");

		compatible = true;

		message    = ""

		var failReason = makeArray(12);

		failReason[0]  = "<p style='padding-left:10px' class='style1'>This course has been designed to run in Internet Explorer version 6 or higher. You may still be able to run the courseware, however if you experience problems, read below for instructions on upgrading your browser.</p>";

		failReason[1]  = "<p style='padding-left:10px' class='style1'>This course requires Flash Player "+fverStr+" or higher. <a href='http://get.adobe.com/flashplayer/' target='_blank'>Download Plugin</a></p>";

		failReason[2]  = "<p style='padding-left:10px' class='style1'>It does not appear that cookies are enabled on your browser. This will prevent the course from bookmarking your progress.</p>";

		failReason[3]  = "<p style='padding-left:10px' class='style1'>You are not running on a Windows 32-bit platform.  This course is designed to run on Microsoft Windows computers only.</p>";

		failReason[4]  = "<p style='padding-left:10px' class='style1'>This course has been designed to run in Internet Explorer version 6 or higher. You may still be able to run the courseware, however if you experience problems, read below for instructions on upgrading your browser.</p>";

		failReason[5]  = "<p style='padding-left:10px' class='style1'>Your browser has javascript turned off. You must have Javascript enabled to view this course. See below for information on how to enable Javascript. Then reload this page.</p>";

		failReason[6]  = "<p style='padding-left:10px' class='style1'>This course requires Flash Player "+fverStr+" or higher. <a href='http://www.macromedia.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash' target='_blank'>Download Plugin</a></p>";

		failReason[7]  = "<p style='padding-left:10px' class='style1'>This browser does not support Javascript-based Flash detection. If you experience any problems launching the course, select this link to download the latest Flash plug-in. <a href='http://www.macromedia.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash' target='_blank'>Download Plugin</a></p>";

		failReason[8]  = "<p style='padding-left:10px' class='style1'>'It appears as though you are using popup blocker software. This courseware needs to open a window to launch the course... please disable your popup blocker to view the course.</p>";
		failReason[9]  = "<p style='padding-left:10px' class='style1'>This course has resource content in Adobe Acrobat format. In order to view these resources you must have the Acrobat Reader 5.0 or higher installed. <a href='http://www.adobe.com/products/acrobat/readstep2.html' target='_blank'>Download Acrobat Reader</a></p>";

		failReason[10]  = "<p style='padding-left:10px' class='style1'>It does not appear that cookies are enabled on your browser. This will prevent the course from bookmarking your progress.</p>";

		failReason[11]  = "<p style='padding-left:10px' class='style1'>It does not appear that session cookies are enabled on your browser. This will prevent the course from bookmarking your progress.</p>";


		document.write('<p style="padding-left:10px" class="style1"><b>Testing support for...</b><br>');

		// check JavaScript

		performCheck("JavaScript: ", (is.js != 0.0), failReason[5]);

		// Add checks for other browsers here.
		// take out ns (|| is.ns6up)
		performCheck("Browser Version: ", (is.ie7up || is.firefox3up ), failReason[4]);

		// check cookies
		performCheckYellow("Cookies Enabled: ", (WM_acceptsCookies), failReason[10]);
		performCheckYellow("Session Cookies Enabled: ", (WM_accepts_session_Cookies), failReason[11]);


//NEW FLASH CHECK.
        var fversion = getFlashVersion();
        var fva = fversion.split(",");
        var fvstring = (fminorReq == 0) ? fmajorReq : fmajorReq + "." + fminorReq;
        if (fva[0] > fmajorReq || (fva[0] >= fmajorReq && fva[1] >= fminorReq))
        {
            document.write('<font class="style2">Flash '+ fvstring + '+: </font><font color=#009900 class="style2">Meets the criteria to run this courseware</font><br />');
        }
        else
        {
            document.write('<font class="style2">Flash '+ fvstring + '+: </font><font color=#FF0000 class="style2">This course requires Flash plug-in version ' + fvstring + ' or higher. <a href="http://get.adobe.com/flashplayer/" target="_blank">Download Plugin</a></font><br />');
            
            compatible = false;

			//message  = message + reason;
			message = failReason[1];
        }



			

//OLD FLASH CHECK.....SERISOULY THIS IS BUSTED....
		// Flash Check: calls getFlashVersion in flash_detect.js
/*
			var requiredVersion = 10;
			var flashVersion_DONTKNOW = -1;

			var flashVersion = deconcept.SWFObjectUtil.getPlayerVersion(10, false);

//alert("flashVersion" + flashVersion.major);


			if (flashVersion.major >= requiredVersion) {

				performCheckFlash("Flash 9+ : ", true, failReason[0]);

			}

			else if (flashVersion.major > 0) {

				performCheckFlash("Flash 8+ : ", false, failReason[6]);

			}

			else if (flashVersion.major == 0) {

				performCheckFlash("Flash 8+ : ", false, failReason[1]);

			}

			else if (flashVersion.major == flashVersion_DONTKNOW || flashVersion.major == null) {

				performCheckFlash("Flash 8+ : ", false, failReason[7]);

			}
*/


		// check popup blocker
			performCheckYellow("Popup blocker: ", !popUpsBlocked, failReason[8]);

//		if (compatible) {
//alert(acrobatVersion);
//			performCheck("Acrobat Reader: ", (acrobatVersion >= requiredAcrobatVersion), failReason[9]);
//		}
		document.write('</p>');


		// browser is compatible
		if (compatible) {
			document.write('<p style="padding-left:10px" class="style1">Your browser meets the criteria to run this courseware.</p>');
			//document.write(' <p>Click the link below to go directly to the courseware.<br /><a href="M5L1_safety_surveys/launchPage.htm" target="_blank">Launch Courseware Sample</a>)</p><p>Click the link below to open a folder and access a SCORM 1.2  Zipped package. This can be uploaded to a SCORM conformant LMS if required.<br />(<a href="SCORM1.2/" target="_blank">SCORM 1.2 package for upload to an LMS</a>)</p>');
		} else {

			document.write('<p style="padding-left:10px" class="style1">It appears that your browser configuration may not meet all of the requirements to run this courseware. See the <a href="http://iase.disa.mil/eta/troubleshoot-guide.html">Troubleshooting Guide</a> for assistance.</p>');
			//document.write(message);
			document.write('<br>');

			//document.write('<p style="padding-left:10px" class="style1">Please click <a href=\'' + pathToRoot + 'common/controller/htm/troubleshoot.html\' target=\'_blank\'>here</a> for instructions on how to troubleshoot issues</p>');
		}

	}

    function getFlashVersion(){
      // ie
      try {
        try {
          // avoid fp6 minor version lookup issues
          // see: http://blog.deconcept.com/2006/01/11/getvariable-setvariable-crash-internet-explorer-flash-6/
          var axo = new ActiveXObject('ShockwaveFlash.ShockwaveFlash.6');
          try { axo.AllowScriptAccess = 'always'; }
          catch(e) { return '6,0,0'; }
        } catch(e) {}
        return new ActiveXObject('ShockwaveFlash.ShockwaveFlash').GetVariable('$version').replace(/\D+/g, ',').match(/^,?(.+),?$/)[1];
      // other browsers
      } catch(e) {
        try {
          if(navigator.mimeTypes["application/x-shockwave-flash"].enabledPlugin){
            return (navigator.plugins["Shockwave Flash 2.0"] || navigator.plugins["Shockwave Flash"]).description.replace(/\D+/g, ",").match(/^,?(.+),?$/)[1];
          }
        } catch(e) {}
      }
      return '0,0,0';
    }

	function BrowserInfo() {

		var agent = navigator.userAgent.toLowerCase();



		// Browser version

		this.versionMajor = parseInt(navigator.appVersion);

		this.versionMinor = parseFloat(navigator.appVersion);



		// Browser name

		this.ns     = (agent.indexOf('mozilla')!=-1 && agent.indexOf('spoofer')==-1 && agent.indexOf('compatible') == -1 && agent.indexOf('opera')==-1 && agent.indexOf('webtv')==-1);

		this.ns2    = (this.ns && (this.versionMajor == 2));

		this.ns3    = (this.ns && (this.versionMajor == 3));

		this.ns4    = (this.ns && this.versionMajor == 4);

		this.ns4up  = (this.ns && this.versionMajor >= 4);

		this.ns6    = (this.ns && this.versionMajor == 5);

		this.ns6up  = (this.ns && this.versionMajor >= 5);

		this.ie     = (agent.indexOf("msie") != -1);

		this.ie3    = (this.ie && (this.versionMajor < 4));

		this.ie4    = (this.ie && this.versionMajor == 4 && agent.indexOf("msie 5")==-1 && agent.indexOf("msie5")==-1);

		this.ie4up  = (this.ie && this.versionMajor >= 4);

		this.ie5    = (this.ie && this.versionMajor == 4 && agent.indexOf("msie 5")==-1 && agent.indexOf("msie5")==-1);

		this.ie55   = (this.ie && (this.versionMajor == 4) && (agent.indexOf("msie 5.5")!=-1) )

		this.ie5up  = (this.ie  && !this.ie3 && !this.ie4);

		this.ie55up = ((this.ie && (this.versionMajor == 4) && (agent.indexOf("msie 5.5")!=-1)) || (agent.indexOf("msie 6")!=-1) || (agent.indexOf("msie 7")!=-1))
		
		this.ie7up = ((agent.indexOf("msie 7")!=-1) || (agent.indexOf("msie 8")!=-1) || (agent.indexOf("msie 9")!=-1))

		this.opera  = (agent.indexOf("opera") != -1);

		this.webtv  = (agent.indexOf("webtv") != -1);

		this.aol    = (agent.indexOf("aol") != -1);



		//check firefox version

		if (navigator.userAgent.indexOf("Firefox")!=-1)

		{

			var versionindex=navigator.userAgent.indexOf("Firefox")+8;

			this.firefox1up = (parseInt(navigator.userAgent.charAt(versionindex))>=1);
			this.firefox3up = (parseInt(navigator.userAgent.charAt(versionindex))>=3);

		}



		switch(agent) {

			case "mozilla/4.0 (compatible; msie 5.01; windows 98)": // Travis' computer 100202

			case "mozilla/4.0 (compatible; msie 6.0; windows 98)": // Asad's computer 100202

			case "mozilla/4.0 (compatible; msie 5.5; windows nt 5.0)": // Tarek's computer 100202

			case "mozilla/4.76 [en] (win98; u)": // Travis' computer 100202

				this.supportedbrowser = 1;

			default:

				this.supportedbrowser = 0;

		}



		// Javascript version

		this.js = 0.0;

		if (this.ns2 || this.ie3) this.js = 1.0

		else if (this.ns3 || this.opera || (document.images && this.ie && !this.ie4up)) this.js = 1.1

		else if ((this.ns4 && this.versionMinor <= 4.05) || this.ie4) this.js = 1.2

		else if ((this.ns4 && this.versionMinor > 4.05) || this.ie5up) this.js = 1.3

		else if (this.ns6up) this.js = 1.4



		// Platform type

		this.win   = (agent.indexOf("win")!=-1 || agent.indexOf("16bit")!=-1);

		this.win32 = (agent.indexOf("win95")!=-1 || agent.indexOf("windows 95")!=-1 || agent.indexOf("win98")!=-1 || agent.indexOf("windows 98")!=-1 || agent.indexOf("winnt")!=-1 || agent.indexOf("windows nt")!=-1 || (this.versionMajor >= 4 && navigator.platform == "win32") || agent.indexOf("win32")!=-1 || agent.indexOf("32bit")!=-1);

		this.mac   = (agent.indexOf("mac")!=-1);

	}


	function testCookies(pType) {
	    //WM_acceptsCookies = testCookies("first party");
		//WM_accepts_session_Cookies = testCookies("session");
	    if (pType == "session")
	    {
   			//  Try to set a cookie.
   			document.cookie = 'CarneyCookieTest=yes';
   			if(document.cookie.indexOf('CarneyCookieTest=yes') != -1) 
   			{
    			return true;
    		}
    		else
    		{
    		    return false;
    		}
    	}
    	else if (pType == "first party")
    	{
    	    if (navigator.cookieEnabled)
    	    {
    	        return true;
    	    }
    	    else
    	    {
    	        return false;
    	    }
    	     
    	}
    	else
    	{
    	    return false;
    	}
	}

	function makeArray(IntarrSize) {
		for (var n = 0; n < IntarrSize; n++) {
			this[n] = "";
		}
		return this;
	}

	function popupBlockerChecker()

	{

		try {
			var mine = window.open('','','width=1,height=1,left=0,top=0,scrollbars=no');
		}
		catch (e) {
			//  Added the try catch here because this test sometimes creates a JavaScript error
			//  when auto luanching from a CD-ROM drive that then aborts the remainder of the tests.
			//  We should revisit this.

			//alert("Unable to check if popup blocker is on or not.");
		}

		if(mine)
		{

			popUpsBlocked = false;

			mine.close();

		 }

		 else

		 {

			popUpsBlocked = true;

		 }

		 //alert("popupBlockerChecker:" + popUpsBlocked);

	}


	function performCheckYellow(txt, condition, reason) {

		//document.write('<li>' + txt);

		if (condition) {

			document.write('<font class="style2">'+ txt + '</font><font color=#009900 class="style2">Meets the criteria to run this courseware</font><br />');

		}

		else {

			document.write('<font class="style2">'+ txt + '</font><font color=#FF9900 class="style2">Test indicates that your system may not be configured to accept cookies. You can still launch the course, however bookmarking may not be available. for instructions on changing your settings, see below.</font><br />');

			compatible = false;

			message  = message + reason;

		}

	}


	function performCheck(txt, condition, reason) {

		//document.write('<li>' + txt);

		if (condition) {

			document.write('<font class="style2">'+ txt + '</font><font color=#009900 class="style2">Meets the criteria to run this courseware</font><br />');

		}

		else {

			document.write('<font class="style2">'+ txt + '</font><font color=#FF0000 class="style2">Test indicates that this is not configured appropriately to run this courseware. You may still be able to run the courseware, however if you experience problems, please see below for instructions on how to troubleshoot issues</font><br />');

			compatible = false;

			message  = message + reason;

		}

	}

	function performCheckFlash(txt, condition, reason) {

		//document.write('<li>' + txt);

		if (condition) {

			document.write('<font class="style2">'+ txt + '</font><font color=#009900 class="style2">Meets the criteria to run this courseware</font><br />');

		}

		else {

			document.write('<font class="style2">'+ txt + '</font><font color=#FF0000 class="style2">This course requires Flash plug-in version '+fverStr+' or higher. Select the link below to upgrade to the latest version. </font><br />');

			compatible = false;

			message  = message + reason;

		}

	}